Update a saved search
curl --request PATCH \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/saved-searches/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a08b36-b61e-7445-945d-86e89b75e4fa",
"name": "US fintech VPs",
"search_filters": {
"title": {
"include": [
"VP Sales"
],
"exclude": []
},
"locations": {
"include": [
{
"country": "United States"
}
],
"exclude": []
}
},
"organization_id": "01a08b36-b61e-7445-945d-86e89b75e4fa",
"timestamp_created": "2026-09-10T12:06:53.726Z"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}SuperSearch Enrichment
Update a saved search
Rename a saved search and/or replace its filters.
Requires one of the following scopes: supersearch_enrichments:update, supersearch_enrichments:all, all:update, all:all
PATCH
/
api
/
v2
/
supersearch-enrichment
/
saved-searches
/
{id}
Update a saved search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Saved search ID
Example:
"01a08b36-b61e-7445-945d-86e89b75e4fa"
Body
application/json
Response
Default Response
Saved search ID
Example:
"01a08b36-b61e-7445-945d-86e89b75e4fa"
Display name
Example:
"US fintech VPs"
SuperSearch filters in the same shape the count, preview and enrich endpoints accept. Domain and job-listing exclusions saved in the app are not representable in this shape and are omitted.
Example:
{
"title": { "include": ["VP Sales"], "exclude": [] },
"locations": {
"include": [{ "country": "United States" }],
"exclude": []
}
}
Workspace that owns the saved search
Example:
"01a08b36-b61e-7445-945d-86e89b75e4fa"
When the search was saved
Example:
"2026-09-10T12:06:53.726Z"